(***************************************************
 *
 *                     HYMITATOR
 * 
 * Laboratoire Specification et Verification (ENS Cachan & CNRS, France)
 * Author:        Etienne Andre, Ulrich Kuehne
 * Created:       2010/07/22
 * Last modified: 2010/07/22
 *
 **************************************************)

open Automaton
open AbstractModel
open Graph
open Options
open LinearConstraint

(** Function to look up states by an index *)
type lookup_function = state_index -> state

val create_initial_state : unit -> state

val post : lookup_function -> state_index -> state_index list

val post_star : state -> linear_constraint * int * float
	
val print_stats: unit -> unit

val verify_path : state -> abstract_path -> linear_inequality option